<template>
  <div id="#dashboard-analytics">
    <div class="vx-row match-height">
      <!-- CONGRATS -->
      <div class="vx-col w-full lg:w-1/2 mb-base">
        <CongratsSection
          :completedRate="chartData.completedRate.current"
          :tabId="this.selectedTab.id"
        />
      </div>

      <!-- CARD 2: COMPLETED TASKS -->
      <div class="vx-col w-full sm:w-1/2 md:w-1/2 lg:w-1/4 xl:w-1/4 mb-base">
        <StatisticsCardLine
          icon="CheckSquareIcon"
          :statistic="chartData.completedTasks.current"
          statisticTitle="Nhiệm vụ hoàn thành"
          :prevDataComparison="chartData.completedTasks.last"
          :statisticSubtitle="' vs ' + textContent"
          :hideChart="true"
          type="area"
        ></StatisticsCardLine>
      </div>

      <!-- CARD 3: COMPLETION RATE -->
      <div class="vx-col w-full sm:w-1/2 md:w-1/2 lg:w-1/4 xl:w-1/4 mb-base">
        <StatisticsCardLine
          icon="ActivityIcon"
          :statistic="chartData.completedRate.current + '%'"
          statisticTitle="Tỷ lệ hoàn thành"
          :prevDataComparison="chartData.completedRate.last"
          :statisticSubtitle="'%' + ' vs ' + textContent"
          :hideChart="true"
          color="warning"
          type="area"
        ></StatisticsCardLine>
      </div>
    </div>

    <div class="vx-row match-height">
      <!-- CARD 4: Completion Rate Distribution -->
      <div class="vx-col w-full lg:w-1/2 mb-base">
        <vx-card>
          <CompletionRateDistributionChart
            :chartData="chartData.completionRateDistribution"
          />
        </vx-card>
      </div>

      <!-- CARD 5: Classified Completion Statistics -->
      <div class="vx-col w-full lg:w-1/2 mb-base">
        <vx-card>
          <ClassifiedCompletionStatistics
            :chartData="chartData.classifiedCompletionStatistics"
          />
        </vx-card>
      </div>
    </div>
  </div>
</template>

<script>
import VueApexCharts from "vue-apexcharts";

import StatisticsCardLine from "@/theme/components/statistics-cards/StatisticsCardLine.vue";
import ChangeTimeDurationDropdown from "@/theme/components/ChangeTimeDurationDropdown.vue";
import CompletionDistributionChart from "./CompletionDistributionChart";
import CongratsSection from "./CongratsSection";
import CategoryRankingGrid from "./CategoryRankingGrid";
import CompletionRateDistributionChart from "./CompletionRateDistributionChart";
import ClassifiedCompletionStatistics from "./ClassifiedCompletionStatistics";

import analyticsData from "./analyticsData.js";

export default {
  components: {
    StatisticsCardLine,
    VueApexCharts,
    ChangeTimeDurationDropdown,
    CompletionDistributionChart,
    CongratsSection,
    CategoryRankingGrid,
    CompletionRateDistributionChart,
    ClassifiedCompletionStatistics
  },
  props: {
    selectedTab: { type: Object, default: () => ({}) },
    tabs: { type: Object, default: () => ({}) },
    chartData: { type: Object, default: () => ({}) }
  },
  data() {
    return {
      analyticsData: analyticsData
    };
  },
  computed: {
    textContent() {
      const indexes = {
        all: "",
        day: "Hôm qua",
        week: "Tuần trước",
        month: "Tháng trước",
        year: "Năm trước"
      };
      return indexes[this.selectedTab.id];
    }
  }
};
</script>

<style lang="scss">
/*! rtl:begin:ignore */
#dashboard-analytics {
}
/*! rtl:end:ignore */
</style>
